
load('figure_2_data.mat');
% The variables "all_wake_thal_to_cort" and "all_wake_cort_to_thal" contain
% the average normalized patterns of spectral information transfer between
% the thalamus and cortex, estimated on a sub-sample of our data, for 9
% human ET patients, 8 Long-Evans Rats, 7 GAERS rats, and 5 C57/BL6 mice.
% Here the mode across all patients/animals is plotted

% plot most common spectral patterns of cortical-thalamic information
% transfer
wake_cort_to_thal=mode(all_wake_cort_to_thal,3); 
figure;
contourf(freqs(2:9),freqs(2:9),wake_cort_to_thal',100,'lines', 'none');
title('Cortex To Thalamus Information Transfer')
xlabel('Sending Frequency (Hz)');
ylabel('Receiving Frequency (Hz)');
set(gca,'FontSize', 18);

wake_thal_to_cort=mode(all_wake_thal_to_cort,3); 
figure; 
contourf(freqs(2:9),freqs(2:9),wake_thal_to_cort',100,'lines', 'none');
title('Thalamus To Cortex Information Transfer')
xlabel('Sending Frequency (Hz)');
ylabel('Receiving Frequency (Hz)');
set(gca,'FontSize', 18);

wake_bidirectional=mode(cat(3,all_wake_cort_to_thal,all_wake_thal_to_cort),3); 
figure; 
contourf(freqs(2:9),freqs(2:9),wake_bidirectional',100,'lines', 'none');
title('Bidirectional Information Transfer')
xlabel('Sending Frequency (Hz)');
ylabel('Receiving Frequency (Hz)');
set(gca,'FontSize', 18);