load('figure_4_data.mat');

% plot median power spectra of the cortex and thalamus during waking,
% anesthesia, seizure, and 5-meo-dmt states
figure;
subplot(4,2,1);
inds=[find(freqs>=58.5&freqs<=61.5)' find(freqs>=118.5&freqs<=121.5)' find(freqs>=178.5&freqs<=181.5)' find(freqs>=238.5&freqs<=241.5)'];
freqs1=freqs;
psd1=median(human_wake_cort_psd,1);
psd2=median(human_anesthesia_cort_psd,1);
freqs1(inds)=NaN;
psd1(inds)=NaN;
psd2(inds)=NaN;
loglog(freqs1,psd1); hold on;
loglog(freqs1,psd2);

subplot(4,2,2);
psd1=median(human_wake_thal_psd,1);
psd2=median(human_anesthesia_thal_psd,1);
psd1(inds)=NaN;
psd2(inds)=NaN;
loglog(freqs1,psd1); hold on;
loglog(freqs1,psd2);
legend({'Wake', 'Anesthetized'});
title('Human ET Patients');


subplot(4,2,3);
psd1=median(rat_wake_cort_psd,1);
psd2=median(rat_anesthesia_cort_psd,1);
psd1(inds)=NaN;
psd2(inds)=NaN;
loglog(freqs1,psd1); hold on;
loglog(freqs1,psd2);

subplot(4,2,4);
psd1=median(rat_wake_thal_psd,1);
psd2=median(rat_anesthesia_thal_psd,1);
psd1(inds)=NaN;
psd2(inds)=NaN;
loglog(freqs1,psd1); hold on;
loglog(freqs1,psd2);
legend({'Wake', 'Anesthetized'});
title('Long-Evans Rats');

subplot(4,2,5);
inds=[find(freqs>=48.5&freqs<=51.5)' find(freqs>=98.5&freqs<=101.5)' find(freqs>=148.5&freqs<=151.5)' find(freqs>=198.5&freqs<=201.5)'];
freqs2=freqs;
freqs2(inds)=NaN;
psd1=median(mouse_dmt_wake_cort_psd,1);
psd2=median(mouse_dmt_dmt_cort_psd,1);
psd1(inds)=NaN;
psd2(inds)=NaN;
loglog(freqs2,psd1); hold on;
loglog(freqs2,psd2);

subplot(4,2,6);
psd1=median(mouse_dmt_wake_thal_psd,1);
psd2=median(mouse_dmt_dmt_thal_psd,1);
psd1(inds)=NaN;
psd2(inds)=NaN;
loglog(freqs2,psd1); hold on;
loglog(freqs2,psd2);
legend({'Wake', '5-MeO-DMT'});
title('C57/BL6 Mice');

subplot(4,2,7);
psd1=median(rat_seizure_wake_cort_psd,1);
psd2=median(rat_seizure_swd_cort_psd,1);
psd1(inds)=NaN;
psd2(inds)=NaN;
loglog(freqs2,psd1); hold on;
loglog(freqs2,psd2);

subplot(4,2,8);
psd1=median(rat_seizure_wake_thal_psd,1);
psd2=median(rat_seizure_swd_thal_psd,1);
psd1(inds)=NaN;
psd2(inds)=NaN;
loglog(freqs2,psd1); hold on;
loglog(freqs2,psd2);
legend({'Wake', 'Seizure'});
title('GAERS Rats');