
load('figure_8_data.mat');

% plot thalamocortical and corticothalamic cross-frequency
% information transfer against estimated largest Lyapunov exponents of
% simulated thalamocortical electrodynamics
figure( 'Position', [ 100 0   350   450]);
hold on;
scatter(simulated_anesthesia_lyap(1:end),symlog(simulated_anesthesia_thal_to_cort(1:end)),110,'r','s','filled','MarkerFaceAlpha',.7);
scatter(simulated_seizure_lyap(1:end),symlog(simulated_seizure_thal_to_cort(1:end)),180,'b','^','filled','MarkerFaceAlpha',.7);
scatter(simulated_anesthesia_lyap(1),symlog(simulated_anesthesia_thal_to_cort(1)),250,'g',"pentagram", 'filled');
xlabel('Largest Lyapunov Exponent');
ylabel({'Cross-Frequency Thalamocortical', 'Information Transfer'});
s=xline(0);
s.Annotation.LegendInformation.IconDisplayStyle = 'off';
set(gca,'FontSize', 18)

figure( 'Position', [ 100 0   350   450]);
hold on;
scatter(simulated_anesthesia_lyap(1:end),symlog(simulated_anesthesia_cort_to_thal(1:end)),110,'r','s','filled','MarkerFaceAlpha',.7);
scatter(simulated_seizure_lyap(1:end),symlog(simulated_seizure_cort_to_thal(1:end)),180,'b','^','filled','MarkerFaceAlpha',.7);
scatter(simulated_anesthesia_lyap(1),symlog(simulated_anesthesia_cort_to_thal(1)),250,'g',"pentagram", 'filled');
ylabel({'Cross-Frequency Corticothalamic', 'Information Transfer'});
s=xline(0);
s.Annotation.LegendInformation.IconDisplayStyle = 'off';
set(gca,'FontSize', 18)


% plot thalamocortical and corticothalamic cross-frequency
% information transfer against k-statistic of
% simulated thalamocortical electrodynamics
figure( 'Position', [ 100 0   350   450]);
hold on;
scatter(simulated_anesthesia_k(1:end),symlog(simulated_anesthesia_thal_to_cort(1:end)),110,'r','s','filled','MarkerFaceAlpha',.7);
scatter(simulated_seizure_k(1:end),symlog(simulated_seizure_thal_to_cort(1:end)),180,'b','^','filled','MarkerFaceAlpha',.7);
scatter(simulated_anesthesia_k(1),symlog(simulated_anesthesia_thal_to_cort(1)),250,'g',"pentagram", 'filled');
xlabel('K-statistic');
ylabel({'Cross-Frequency Thalamocortical', 'Information Transfer'});
set(gca,'FontSize', 18)

figure( 'Position', [ 100 0   350   450]);
hold on;
scatter(simulated_anesthesia_k(1:end),symlog(simulated_anesthesia_cort_to_thal(1:end)),110,'r','s','filled','MarkerFaceAlpha',.7);
scatter(simulated_seizure_k(1:end),symlog(simulated_seizure_cort_to_thal(1:end)),180,'b','^','filled','MarkerFaceAlpha',.7);
scatter(simulated_anesthesia_k(1),symlog(simulated_anesthesia_cort_to_thal(1)),250,'g',"pentagram", 'filled');
ylabel({'Cross-Frequency Corticothalamic', 'Information Transfer'});
set(gca,'FontSize', 18)