
load('figure_9_data.mat');

% Plot corticothalamic information transfer as a function of
% normalized k-statistic (i.e. chaoticity estimates)
x = human_anesthesia_k ./ human_wake_k;
y = human_anesthesia_cort_to_thal ./ human_wake_cort_to_thal;
y2 = sign(y) .* (log(1 + abs(y) / (10^-2)));
figure('Position', [100 -100 600 500]);
scatter(x, y2, 200, 'r', 'filled', 's');

x = rat_anesthesia_k ./ rat_wake_k;
y = rat_anesthesia_cort_to_thal ./ rat_wake_cort_to_thal;
y2 = sign(y) .* (log(1 + abs(y) / (10^-2)));
hold on; scatter(x, y2, 200, 'r', '+');

x = mouse_dmt_dmt_k ./ mouse_dmt_wake_k;
y = mouse_dmt_dmt_cort_to_thal ./ mouse_dmt_wake_cort_to_thal;
y2 = sign(y) .* (log(1 + abs(y) / (10^-2)));
hold on; scatter(x, y2, 200, 'm', 'filled');

x = rat_seizure_swd_k ./ rat_seizure_wake_k;
y = rat_seizure_swd_cort_to_thal ./ rat_seizure_wake_cort_to_thal;
y2 = sign(y) .* (log(1 + abs(y) / (10^-2)));
hold on; scatter(x, y2, 200, 'b', '^', 'filled');

hold on; scatter(1, (log(1 + abs(1) / (10^-2))), 450, 'g', 'pentagram', 'filled');
ylabel({'Cross-Frequency Corticothalamic Information', 'Transfer (Normalized to Waking Baseline)'});
xlabel({'Estimated Chaoticity of Slow Thalamocortical Electrodynamics', '(Normalized to Waking Baseline)'});
set(gca, 'FontSize', 16);

% Plot thalamocortical information transfer as a function of
% normalized k-statistic (i.e. chaoticity estimates)x = human_anesthesia_k ./ human_wake_k;
y = human_anesthesia_thal_to_cort ./ human_wake_thal_to_cort;
y2 = sign(y) .* (log(1 + abs(y) / (10^-2)));
figure('Position', [100 -100 600 500]);
scatter(x, y2, 200, 'r', 'filled', 's');

x = rat_anesthesia_k ./ rat_wake_k;
y = rat_anesthesia_thal_to_cort ./ rat_wake_thal_to_cort;
y2 = sign(y) .* (log(1 + abs(y) / (10^-2)));
hold on; scatter(x, y2, 200, 'r', '+');

x = mouse_dmt_dmt_k ./ mouse_dmt_wake_k;
y = mouse_dmt_dmt_thal_to_cort ./ mouse_dmt_wake_thal_to_cort;
y2 = sign(y) .* (log(1 + abs(y) / (10^-2)));
hold on; scatter(x, y2, 200, 'm', 'filled');

x = rat_seizure_swd_k ./ rat_seizure_wake_k;
y = rat_seizure_swd_thal_to_cort ./ rat_seizure_wake_thal_to_cort;
y2 = sign(y) .* (log(1 + abs(y) / (10^-2)));
hold on; scatter(x, y2, 200, 'b', '^', 'filled');

hold on; scatter(1, (log(1 + abs(1) / (10^-2))), 450, 'g', 'pentagram', 'filled');
ylabel({'Cross-Frequency Thalamocortical Information', 'Transfer (Normalized to Waking Baseline)'});
xlabel({'Estimated Chaoticity of Slow Thalamocortical Electrodynamics', '(Normalized to Waking Baseline)'});
set(gca, 'FontSize', 16);
